Skip to main content
GET
Get payment method associated with a subscription

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

subscription-id
string<uuid>
required

The unique identifier of the plan whose subscriptions are to be retrieved.

Response

Payment method retrieved successfully

Card payment method details

type
enum<string>
required

Discriminator identifying this as a card payment method

Available options:
card
firstSix
string
required

First six digits of the card (BIN)

Example:

"506124"

lastFour
string
required

Last four digits of the card

Example:

"5456"

cardType
string
required

Card scheme/brand

Example:

"verve"

expirationMonth
integer
required
Required range: 1 <= x <= 12
Example:

11

expirationYear
integer
required
Example:

2026

accountHolderName
string

Name of the account/card holder

Example:

"Jane Doe"